<?php
ob_start(); // Start reading html
require_once 'assets/map/ajax.php';
?>

                <script src="https://code.jquery.com/jquery-3.3.1.min.js"
                        integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
                        crossorigin="anonymous"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>

                <style>
                .hidden {
                    display: none;
                }
                </style>

                <div id="maps_button">
                    <button onclick="enable3DMap()" class="main-button">Map 3D</button>
                    <button onclick="enable2DMap()" class="main-button">Map 2D</button>
                </div>

                <section id="loading-screen">

                <div class="loader"></div>

                </section>
                <div id="maps" class="">
                    <script src="assets/map/script_map3d.js" type="module"></script>

                    <div id="map" class="hidden">
                        <?php echo file_get_contents("assets/map/map2d.svg"); ?>
                        <canvas id="canvasID"></canvas>
                    </div>
                </div>


                <script>
                function enable3DMap() {
                    var map3d = document.querySelector('#maps #map3d');
                    var map = document.querySelector('#maps #map');

                    map3d.classList.add("hidden");
                    map.classList.add("hidden");
                    map3d.classList.remove("hidden");
                }

                function enable2DMap() {
                    var map3d = document.querySelector('#maps #map3d');
                    var map = document.querySelector('#maps #map');
                    map.classList.add("hidden");
                    map3d.classList.add("hidden");
                    map.classList.remove("hidden");
                }
                </script>

                <script type="text/javascript" src="assets/map/script_map2d.js"></script>

    <p>
        Une petite note sur le numéro des salles : sur ton emploi du temps, le bâtiment est marqué en premier, et
         ensuite le chiffre des centaines pour l'étage, et après à toi de trouver !
    </p>
    <p>
        Par exemple, GM 212, c'est au GM, deuxième étage.
        <br>
        Et si t'as Amphi 108, c'est au premier étage du STPI. En gros STPI=bâtiment des amphis.
    </p>
    <p id="hint">Fond de carte issu du site <a href="https://www.openstreetmap.org/#map=17/43.57103/1.46591">Open Street
            Map</a>.
    </p>
</main>

<?php
$infopage = ["", "Plan", ob_get_clean(), "", "map"]; //relativepath, pagetitle, pagecontent, pagescript, pagename | cf structure/template.php ligne 2 à 6
include("structure/template.php");
?>